Index: moodle/mod/lesson/lib.php
--- moodle/mod/lesson/lib.php Base (1.87)
+++ moodle/mod/lesson/lib.php Locally Modified (Based On 1.87)
@@ -804,19 +804,19 @@
     $canedit = has_capability('mod/lesson:edit', $PAGE->cm->context);
 
     $url = new moodle_url('/mod/lesson/view.php', array('id'=>$PAGE->cm->id));
-    $key = $lessonnode->add(get_string('preview', 'lesson'), $url);
+    $lessonnode->add(get_string('preview', 'lesson'), $url);
 
     if ($canedit) {
         $url = new moodle_url('/mod/lesson/edit.php', array('id'=>$PAGE->cm->id));
-        $key = $lessonnode->add(get_string('edit', 'lesson'), $url);
+        $lessonnode->add(get_string('edit', 'lesson'), $url);
     }
 
     if (has_capability('mod/lesson:manage', $PAGE->cm->context)) {
-        $key = $lessonnode->add(get_string('reports', 'lesson'));
+        $reportsnode = $lessonnode->add(get_string('reports', 'lesson'));
         $url = new moodle_url('/mod/lesson/report.php', array('id'=>$PAGE->cm->id, 'action'=>'reportoverview'));
-        $lessonnode->get($key)->add(get_string('overview', 'lesson'), $url);
+        $reportsnode->add(get_string('overview', 'lesson'), $url);
         $url = new moodle_url('/mod/lesson/report.php', array('id'=>$PAGE->cm->id, 'action'=>'reportdetail'));
-        $lessonnode->get($key)->add(get_string('detailedstats', 'lesson'), $url);
+        $reportsnode->add(get_string('detailedstats', 'lesson'), $url);
     }
 
     if ($canedit) {
Index: moodle/mod/quiz/lib.php
--- moodle/mod/quiz/lib.php Base (1.358)
+++ moodle/mod/quiz/lib.php Locally Modified (Based On 1.358)
@@ -1625,13 +1625,13 @@
     }
     if (has_capability('mod/quiz:viewreports', $PAGE->cm->context)) {
         $url = new moodle_url('/mod/quiz/report.php', array('q'=>$PAGE->cm->instance));
-        $reportkey = $quiznode->add(get_string('results', 'quiz'), $url, navigation_node::TYPE_SETTING, null, null, new pix_icon('i/report', ''));
+        $reportnode = $quiznode->add(get_string('results', 'quiz'), $url, navigation_node::TYPE_SETTING, null, null, new pix_icon('i/report', ''));
 
         require_once($CFG->dirroot.'/mod/quiz/report/reportlib.php');
         $reportlist = quiz_report_list($PAGE->cm->context);
         foreach ($reportlist as $report) {
             $url = new moodle_url('/mod/quiz/report.php', array('q'=>$PAGE->cm->instance, 'mode'=>$report));
-            $quiznode->get($reportkey)->add(get_string($report, 'quiz_'.$report), $url, navigation_node::TYPE_SETTING, null, null, new pix_icon('i/item', ''));
+            $reportnode->add(get_string($report, 'quiz_'.$report), $url, navigation_node::TYPE_SETTING, null, null, new pix_icon('i/item', ''));
         }
     }
     if (has_capability('mod/quiz:preview', $PAGE->cm->context)) {
Index: moodle/mod/survey/lib.php
--- moodle/mod/survey/lib.php Base (1.91)
+++ moodle/mod/survey/lib.php Locally Modified (Based On 1.91)
@@ -825,19 +825,19 @@
     global $PAGE;
 
     if (has_capability('mod/survey:readresponses', $PAGE->cm->context)) {
-        $key = $surveynode->add(get_string("responsereports", "survey"));
+        $responsesnode = $surveynode->add(get_string("responsereports", "survey"));
 
         $url = new moodle_url('/mod/survey/report.php', array('id' => $PAGE->cm->id, 'action'=>'summary'));
-        $surveynode->get($key)->add(get_string("summary", "survey"), $url);
+        $responsesnode->add(get_string("summary", "survey"), $url);
 
         $url = new moodle_url('/mod/survey/report.php', array('id' => $PAGE->cm->id, 'action'=>'scales'));
-        $surveynode->get($key)->add(get_string("scales", "survey"), $url);
+        $responsesnode->add(get_string("scales", "survey"), $url);
 
         $url = new moodle_url('/mod/survey/report.php', array('id' => $PAGE->cm->id, 'action'=>'questions'));
-        $surveynode->get($key)->add(get_string("question", "survey"), $url);
+        $responsesnode->add(get_string("question", "survey"), $url);
 
         $url = new moodle_url('/mod/survey/report.php', array('id' => $PAGE->cm->id, 'action'=>'students'));
-        $surveynode->get($key)->add(get_string('participants'), $url);
+        $responsesnode->add(get_string('participants'), $url);
 
         if (has_capability('mod/survey:download', $PAGE->cm->context)) {
             $url = new moodle_url('/mod/survey/report.php', array('id' => $PAGE->cm->id, 'action'=>'download'));
Index: moodle/mod/workshop/lib.php
--- moodle/mod/workshop/lib.php Base (1.144)
+++ moodle/mod/workshop/lib.php Locally Modified (Based On 1.144)
@@ -676,8 +676,8 @@
 
     if (has_capability('mod/workshop:submit', get_context_instance(CONTEXT_MODULE, $cm->id))) {
         $url = new moodle_url('/mod/workshop/submission.php', array('cmid' => $cm->id));
-        $mysubmissionkey = $navref->add(get_string('mysubmission', 'workshop'), $url);
-        $navref->get($mysubmissionkey)->mainnavonly = true;
+        $mysubmission = $navref->add(get_string('mysubmission', 'workshop'), $url);
+        $mysubmission->mainnavonly = true;
     }
 }
 
Index: moodle/my/index.php
--- moodle/my/index.php Base (1.46)
+++ moodle/my/index.php Locally Modified (Based On 1.46)
@@ -41,7 +41,6 @@
     $button = $OUTPUT->single_button($url, $string);
 
     $header = $SITE->shortname . ': ' . $strmymoodle;
-    $PAGE->navbar->add($strmymoodle);
 
     $PAGE->set_title($strmymoodle);
     $PAGE->set_heading($header);
Index: moodle/notes/index.php
--- moodle/notes/index.php Base (1.21)
+++ moodle/notes/index.php Locally Modified (Based On 1.21)
@@ -22,12 +22,6 @@
 if ($userid !== 0) {
     $url->param('user', $userid);
 }
-if ($filtertype !== '') {
-    $url->param('filtertype', $filtertype);
-}
-if ($filterselect !== 0) {
-    $url->param('filterselect', $filterselect);
-}
 $PAGE->set_url($url);
 
 /// tabs compatibility
@@ -41,15 +35,11 @@
 }
 
 /// locate course information
-if (!$course = $DB->get_record('course', array('id'=>$courseid))) {
-    print_error('invalidcourseid');
-}
+$course = $DB->get_record('course', array('id'=>$courseid), '*', MUST_EXIST);
 
 /// locate user information
 if ($userid) {
-    if (!$user = $DB->get_record('user', array('id'=>$userid))) {
-        print_error('invaliduserid');
-    }
+    $user = $DB->get_record('user', array('id'=>$userid), '*', MUST_EXIST);
     $filtertype = 'user';
     $filterselect = $user->id;
 
@@ -82,16 +72,19 @@
 $systemcontext = get_context_instance(CONTEXT_SYSTEM);   // SYSTEM context
 
 $strnotes = get_string('notes', 'notes');
+if ($userid) {
+    $PAGE->set_context(get_context_instance(CONTEXT_USER, $user->id));
+    $PAGE->navigation->extend_for_user($user);
+} else {
 $link = null;
 if (has_capability('moodle/course:viewparticipants', $coursecontext) || has_capability('moodle/site:viewparticipants', $systemcontext)) {
     $link = new moodle_url('/user/index.php',array('id'=>$course->id));
 }
-if ($userid) {
-    $PAGE->navigation->extend_for_user($user);
-} else {
     $PAGE->navbar->add(get_string('participants'), $link);
     $PAGE->navbar->add($strnotes);
 }
+
+$PAGE->set_pagelayout('course');
 $PAGE->set_title($course->shortname . ': ' . $strnotes);
 $PAGE->set_heading($course->fullname);
 
Index: moodle/user/editadvanced.php
--- moodle/user/editadvanced.php Base (1.69)
+++ moodle/user/editadvanced.php Locally Modified (Based On 1.69)
@@ -41,14 +41,14 @@
 }
 $PAGE->set_url($url);
 
-if (!$course = $DB->get_record('course', array('id'=>$course))) {
-    print_error('invalidcourseid');
-}
+$course = $DB->get_record('course', array('id'=>$course), '*', MUST_EXIST);
+
 if (!empty($USER->newadminuser)) {
     $PAGE->set_course($SITE);
     $PAGE->set_pagelayout('maintenance');
 } else {
     require_login($course);
+    $PAGE->set_pagelayout('admin');
 }
 
 if ($course->id == SITEID) {
@@ -60,19 +60,20 @@
 
 if ($id == -1) {
     // creating new user
-    require_capability('moodle/user:create', $systemcontext);
     $user = new object();
     $user->id = -1;
     $user->auth = 'manual';   
     $user->confirmed = 1;
     $user->deleted = 0;
+    require_capability('moodle/user:create', $systemcontext);
+    admin_externalpage_setup('addnewuser', '', array('id' => -1));
 } else {
     // editing existing user
     require_capability('moodle/user:update', $systemcontext);
-    if (!$user = $DB->get_record('user', array('id'=>$id))) {
-        print_error('invaliduserid');
+    $user = $DB->get_record('user', array('id'=>$id), '*', MUST_EXIST);
+    $PAGE->set_context(get_context_instance(CONTEXT_USER, $user->id));
+    $PAGE->navigation->extend_for_user($user);
     }
-}
 
 // remote users cannot be edited
 if ($user->id != -1 and is_mnet_remote_user($user)) {
@@ -94,12 +95,6 @@
     die;
 }
 
-if ($user->id == -1) {
-    admin_externalpage_setup('addnewuser', '', array('id' => -1));
-} else if ($user->id != $USER->id) {
-    admin_externalpage_setup('editusers', '', array('id' => $user->id, 'course' => SITEID), $CFG->wwwroot . '/user/editadvanced.php');
-}
-
 //load user preferences
 useredit_load_preferences($user);
 
@@ -259,15 +254,6 @@
     $strnewuser       = get_string('newuser');
     $userfullname     = fullname($user, true);
 
-    $link = null;
-    if (has_capability('moodle/course:viewparticipants', $coursecontext) || has_capability('moodle/site:viewparticipants', $systemcontext)) {
-        $link = new moodle_url("/user/index.php", array('id'=>$course->id));
-    }
-    $PAGE->navbar->add($strparticipants, $link);
-    $link = new moodle_url('/user/view.php', array('id'=>$user->id, 'course'=>$course->id));
-    $PAGE->navbar->add($userfullname, $link);
-    $PAGE->navbar->add($streditmyprofile);
-
     $PAGE->set_title("$course->shortname: $streditmyprofile");
     $PAGE->set_heading($course->fullname);
 
Index: moodle/version.php
--- moodle/version.php Base (1.1515)
+++ moodle/version.php Locally Modified (Based On 1.1515)
@@ -6,7 +6,7 @@
 // This is compared against the values stored in the database to determine
 // whether upgrades should be performed (see lib/db/*.php)
 
-    $version = 2010041300;  // YYYYMMDD   = date of the last version bump
+    $version = 2010041301;  // YYYYMMDD   = date of the last version bump
                             //         XX = daily increments
 
     $release = '2.0 dev (Build: 20100414)';  // Human-friendly version name
